Anonymous Login
2018-12-13 04:37 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001815OpenClonkObjectspublic2016-12-25 17:56
ReporterMaikel 
Assigned ToMaikel 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Versiongit master 
Target Versiongit masterFixed in Versiongit master 
Summary0001815: don't require source pipe to pump air to helmet
DescriptionAir could be already supplied without a source pipe. Also we need to think on what to do when acid or lava is pumped to the helmet. Currently the helmet blocks all things but air, which makes sense as the diver can just block the pipe, leaving him without oxygen. So I am fine with that behaviour.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005411

Clonkonaut (developer)

Last edited: 2016-08-23 00:17

View 2 revisions

I am also fine with the pump having like a built-in security system to not pump dangerous things into the diver.

At first glance, it might look like fun that something horrible happens when you pump lava / acid into your enemy and a great way to attack. But, being on the receiving side, you don't actually see what is happening with the source (may it be that an enemy did something or it's just disaster that struck). All you notice is your clonk quickly dieing for no apparent reason and that is something very frustrating most of the times.

~0005412

Luchs (administrator)

Having to protect the pump while diving doesn't seem too crazy to me. I think special fast-killing behavior for acid and lava is something lots of players would expect to happen?

Anyways, suddenly not getting any more air from the pipe is just as surprising, especially because the oxygen indicator is easy to miss.

~0005413

Clonkonaut (developer)

Yes, I thought about a more prominent warning when air runs out.

Also, it is still okay to attack the pump and clog it (if ever there is even a scenario where diving & melee is a thing). The dieing player just has no clue what happened and that I fear is kind of frustrating.

~0005414

Maikel (developer)

Lava and acid just clog the pipe and the player will suffocate, I think that is fine. A better indication would be good, yes.
+Notes

-Issue History
Date Modified Username Field Change
2016-08-22 14:50 Maikel New Issue
2016-08-23 00:11 Clonkonaut Note Added: 0005411
2016-08-23 00:17 Clonkonaut Note Edited: 0005411 View Revisions
2016-08-23 08:52 Luchs Note Added: 0005412
2016-08-23 10:29 Clonkonaut Note Added: 0005413
2016-08-23 13:44 Maikel Note Added: 0005414
2016-12-25 17:56 Maikel Assigned To => Maikel
2016-12-25 17:56 Maikel Status new => resolved
2016-12-25 17:56 Maikel Resolution open => fixed
2016-12-25 17:56 Maikel Fixed in Version => git master
+Issue History